| OpenCV 3.4.8 Open Source Computer Vision

Public Member Functions | List of all members
cv::superres::BroxOpticalFlow Class Referenceabstract
Super Resolution

`#include <opencv2/superres/optical_flow.hpp>`

Inheritance diagram for cv::superres::BroxOpticalFlow:

## Public Member Functions
virtual double | getAlpha () const =0
| Flow smoothness. More...
virtual double | getGamma () const =0
| Gradient constancy importance. More...
virtual int | getInnerIterations () const =0
| Number of lagged non-linearity iterations (inner loop) More...
virtual int | getOuterIterations () const =0
| Number of warping iterations (number of pyramid levels) More...
virtual double | getScaleFactor () const =0
| Pyramid scale factor. More...
virtual int | getSolverIterations () const =0
| Number of linear system solver iterations. More...
virtual void | setAlpha (double val)=0
| Flow smoothness. More...
virtual void | setGamma (double val)=0
| Gradient constancy importance. More...
virtual void | setInnerIterations (int val)=0
| Number of lagged non-linearity iterations (inner loop) More...
virtual void | setOuterIterations (int val)=0
| Number of warping iterations (number of pyramid levels) More...
virtual void | setScaleFactor (double val)=0
| Pyramid scale factor. More...
virtual void | setSolverIterations (int val)=0
| Number of linear system solver iterations. More...
Public Member Functions inherited from cv::superres::DenseOpticalFlowExt
virtual void | calc (InputArray frame0, InputArray frame1, OutputArray flow1, OutputArray flow2=noArray())=0
virtual void | collectGarbage ()=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Member Function Documentation

## § getAlpha()

virtual double cv::superres::BroxOpticalFlow::getAlpha | ( |  | ) | const
| pure virtual

Flow smoothness.

See also
  setAlpha

## § getGamma()

virtual double cv::superres::BroxOpticalFlow::getGamma | ( |  | ) | const
| pure virtual

Gradient constancy importance.

See also
  setGamma

## § getInnerIterations()

virtual int cv::superres::BroxOpticalFlow::getInnerIterations | ( |  | ) | const
| pure virtual

Number of lagged non-linearity iterations (inner loop)

See also
  setInnerIterations

## § getOuterIterations()

virtual int cv::superres::BroxOpticalFlow::getOuterIterations | ( |  | ) | const
| pure virtual

Number of warping iterations (number of pyramid levels)

See also
  setOuterIterations

## § getScaleFactor()

virtual double cv::superres::BroxOpticalFlow::getScaleFactor | ( |  | ) | const
| pure virtual

Pyramid scale factor.

See also
  setScaleFactor

## § getSolverIterations()

virtual int cv::superres::BroxOpticalFlow::getSolverIterations | ( |  | ) | const
| pure virtual

Number of linear system solver iterations.

See also
  setSolverIterations

## § setAlpha()

virtual void cv::superres::BroxOpticalFlow::setAlpha | ( | double | val | ) |
| pure virtual

Flow smoothness.

See also
  getAlpha

## § setGamma()

virtual void cv::superres::BroxOpticalFlow::setGamma | ( | double | val | ) |
| pure virtual

Gradient constancy importance.

See also
  getGamma

## § setInnerIterations()

virtual void cv::superres::BroxOpticalFlow::setInnerIterations | ( | int | val | ) |
| pure virtual

Number of lagged non-linearity iterations (inner loop)

See also
  getInnerIterations

## § setOuterIterations()

virtual void cv::superres::BroxOpticalFlow::setOuterIterations | ( | int | val | ) |
| pure virtual

Number of warping iterations (number of pyramid levels)

See also
  getOuterIterations

## § setScaleFactor()

virtual void cv::superres::BroxOpticalFlow::setScaleFactor | ( | double | val | ) |
| pure virtual

Pyramid scale factor.

See also
  getScaleFactor

## § setSolverIterations()

virtual void cv::superres::BroxOpticalFlow::setSolverIterations | ( | int | val | ) |
| pure virtual

Number of linear system solver iterations.

See also
  getSolverIterations

The documentation for this class was generated from the following file:

- opencv2/superres/optical_flow.hpp